Loading...
Searching...
No Matches
Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT > Class Template Reference

Specification of the material params for the three-phase van Genuchten capillary pressure model. More...

`#include <ThreePhaseParkerVanGenuchtenParams.hpp>`

Inheritance diagram for Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT >:

## Public Types

typedef TraitsT | Traits
typedef Traits::Scalar | Scalar

## Public Member Functions

Scalar | vgAlpha () const
| Return the shape parameter of van Genuchten's curve.
void | setVgAlpha (Scalar v)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgM () const
| Return the shape parameter of van Genuchten's curve.
void | setVgM (Scalar m)
| Set the shape parameter of van Genuchten's curve.
Scalar | vgN () const
| Return the shape parameter of van Genuchten's curve.
void | setVgN (Scalar n)
| Set the shape parameter of van Genuchten's curve.
Scalar | Swr () const
| Return the residual wetting saturation.
void | setSwr (Scalar input)
| Set the residual wetting saturation.
Scalar | Snr () const
| Return the residual non-wetting saturation.
void | setSnr (Scalar input)
| Set the residual non-wetting saturation.
Scalar | Sgr () const
| Return the residual gas saturation.
void | setSgr (Scalar input)
| Set the residual gas saturation.
Scalar | Swrx () const
void | setSwrx (Scalar input)
| Set the residual gas saturation.
void | setBetaNW (Scalar input)
| defines the scaling parameters of capillary pressure between the phases (=1 for Gas-Water)
void | setBetaGN (Scalar input)
Scalar | betaNW () const
| Return the values for the beta scaling parameters of capillary pressure between the phases.
Scalar | betaGN () const
void | setkrRegardsSnr (bool input)
| defines if residual n-phase saturation should be regarded in its relative permeability.
bool | krRegardsSnr () const
| Calls if residual n-phase saturation should be regarded in its relative permeability.
void | checkDefined () const
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT >

Specification of the material params for the three-phase van Genuchten capillary pressure model.

In comparison to the two-phase version, this parameter object also includes the residual saturations, as their handling is very model-specific.

## Member Function Documentation

## setVgM()

template<class TraitsT>

void Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT >::setVgM | ( | Scalar | m | ) |

inline

Set the shape parameter of van Genuchten's curve.

The shape parameter is set to

## setVgN()

template<class TraitsT>

void Opm::ThreePhaseParkerVanGenuchtenParams< TraitsT >::setVgN | ( | Scalar | n | ) |

inline

Set the shape parameter of van Genuchten's curve.

The shape parameter is set to

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/ThreePhaseParkerVanGenuchtenParams.hpp